﻿@model AutoSaloni.Models.Salon

@{
    ViewBag.Title = "Details";
}
<link href="~/Content/bootstrap.css" rel="stylesheet" />
<script src="~/Scripts/bootstrap.js"></script>
<script src="~/Scripts/jquery-3.3.1.js"></script>

<h2>Details</h2>

<div>
    <h4>Salon</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.PIB)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PIB)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Country)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Country)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.City)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.City)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Adress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Adress)
        </dd>
    </dl>
</div>
<div class="container">
    <a href="~/Autoes/Create/@Model.Id" class="btn btn-default btn-lg">Add new Car</a>
</div>

@if (Model.Automobili != null)
{
    <div class="container">
        <table class="table">
            <tr>
                <th>
                    @Html.Label("Proizvodjac")
                </th>
                <th>
                    @Html.Label("Model")
                </th>
                <th>
                    @Html.Label("Year")
                </th>
                <th>
                    @Html.Label("Volume")
                </th>
                <th>
                    @Html.Label("Color")
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model.Automobili)
            {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Proizvodjac.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Model)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Volume)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Color)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", "Autoes", new { id = item.Id }, null) |
                    @Html.ActionLink("Details", "Details", "Autoes", new { id = item.Id }, null) |
                    @Html.ActionLink("Delete", "Delete", "Autoes", new { id = item.Id }, null)
                </td>
            </tr>
            }
        </table>
    </div>
}
else
{ <p>Salon nema ugovor ni sa jednim proizvodjacem!</p>}

<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
